from ultralytics import YOLO
import argparse

parser = argparse.ArgumentParser()
parser.add_argument('--pretrained', type=str, default='/mnt/home/annonymous/iclr2026/yolov11_forestpersons/forestpersons_standing_0924/yolov11n2/weights/best.pt')



args = parser.parse_args()
pretrained = args.pretrained
model = YOLO(pretrained)  # load an official model

metrics = model.val(data="/mnt/home/annonymous/iclr2026/yolov11_forestpersons/data_forestpersons_v3/forestpersons_test.yaml", device=7, save_json=True)

